Multiple plugins using the same OAuth class issues

I just updated a plugin that needed to be updated. The issue is they added support for OAuth, the problem this plugin and another are using the same OAuth classes. Is there a easy way to fix this? I’ve never messed with OAuth or classes in PHP, I’m not a programmer.

Error:

PHP Fatal error:  Cannot redeclare class OAuthSignatureMethod_HMAC_SHA1

Solutions Collecting From Web of "Multiple plugins using the same OAuth class issues"

Your code probably looks like this:

class OAuthSignatureMethod_HMAC_SHA1 {

...

}

It should look like this:

if( ! class_exists( 'OAuthSignatureMethod_HMAC_SHA1' ) ) :
class OAuthSignatureMethod_HMAC_SHA1 {

...

}
endif;

This is more a PHP issue than a WordPress issue, but if multiple plug-ins include or require files that declare the same class with the same name, you’ll get a collision. You only need to define the class once, then you can instantiate it as many times as you need in your multiple systems.